Assignee: Jochen Schalanda   
Triaged:  Found in Releases:  
Pull request:    

Description

Foreman's handling of installation media and their respective URIs should be more robust.

The attached patch file contains a proposed refactoring of the media handling for operating system families:

Use URI class for any URI related operations

Added substitution for $version, $major and $minor in media path

Force use of http(s), ftp or nfs URI scheme

The last point introduces a small regression: NFS shares now have to be entered in the URI scheme specified in RFC 2224 (

http://www.ietf.org/rfc/rfc2224.txt): nfs://server/path/.../ instead of server:/path/.../

Associated revisions

Revision 7a481d2d - 05/03/2010 02:20 PM - Jochen Schalanda

fixes #235 - Small refactoring of the media handling for operating system families: * Use URI class for any URI related operations * Added substitution

for $version, $major and $minor in media path * Force use of http(s)|ftp|nfs URI schema: NFS shares have now to be entered in URI form:

nfs://server/path/.../ instead of server:/path/.../

History

#1 - 05/03/2010 01:57 PM - Jochen Schalanda

- File 0001-Fixed-detection-of-preseed_server-and-preseed_path-f.patch added

- File 0002-Small-refactoring-of-the-media-handling-for-operatin.patch added

(Re-) Generated patch file(s) with git format-patch.

#2 - 05/03/2010 02:02 PM - Jochen Schalanda

- File 0001-Small-refactoring-of-the-media-handling-for-operatin.patch added

(Re-) Generated patch file(s) with git format-patch and this time with only one resulting patch file...

#3 - 05/03/2010 02:22 PM - Anonymous

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 7a481d2df8548ebb0651f38331877fbad901a3f3.

#4 - 05/09/2010 04:08 PM - Ohad Levy

- Category set to Unattended installations

- Assignee set to Jochen Schalanda

- Target version set to 0.1-5
http://www.ietf.org/rfc/rfc2224.txt
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7a481d2df8548ebb0651f38331877fbad901a3f3


#5 - 05/09/2010 04:09 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

media_path_refactoring.patch 4.46 KB 05/03/2010 Jochen Schalanda

0001-Fixed-detection-of-preseed_server-and-preseed_path-f.patch 1.24 KB 05/03/2010 Jochen Schalanda

0002-Small-refactoring-of-the-media-handling-for-operatin.patch 4.95 KB 05/03/2010 Jochen Schalanda

0001-Small-refactoring-of-the-media-handling-for-operatin.patch 5.26 KB 05/03/2010 Jochen Schalanda
